Eclipse Remote Application Platform

## org.eclipse.rap.rwt.theme
Interface ControlThemeAdapter

All Known Subinterfaces:
  IControlThemeAdapter

    public interface ControlThemeAdapter

Theme adapter for `Control`s. The theme adapter provides a control with information on characteristics of its representation which depend on the current theme.

Since:
  2.0

Method Summary
`Color` `getBackground(Control control)` Returns the default background color that the specified control will use if no user-defined background color has been set using `Control.setBackground(Color)`.
`int` `getBorderWidth(Control control)` Returns the width of the specified control's border.
`Font` `getFont(Control control)` Returns the default font that the specified control will use to paint textual information when no user-defined font has been set using `Control.setFont(Font)`.
`Color` `getForeground(Control control)` Returns the default foreground color that the specified control will use to draw if no user defined foreground color has been set using `Control.setForeground(Color)`.
`Rectangle` `getPadding(Control control)` Returns the padding of the specified control.

Method Detail

### getBorderWidth

    int getBorderWidth(Control control)

  Returns the width of the specified control's border.

  Parameters:
    `control` - the control whose border width is requested
  Returns:
    the border width in px

### getPadding

    Rectangle getPadding(Control control)

  Returns the padding of the specified control.

  Parameters:
    `control` - the control whose padding is requested
  Returns:
    the padding ( left, top, left + right, top + bottom )

### getForeground

    Color getForeground(Control control)

  Returns the default foreground color that the specified control will use to draw if no user defined foreground color has been set using `Control.setForeground(Color)`.

  Parameters:
    `control` - the control whose foreground color is requested
  Returns:
    the foreground color

### getBackground

    Color getBackground(Control control)

  Returns the default background color that the specified control will use if no user-defined background color has been set using `Control.setBackground(Color)`.

  Parameters:
    `control` - the control whose background color is requested
  Returns:
    the background color

### getFont

    Font getFont(Control control)

  Returns the default font that the specified control will use to paint textual information when no user-defined font has been set using `Control.setFont(Font)`.

  Parameters:
    `control` - the control whose font is requested
  Returns:
    the font

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0